<template>
<div id="app">
    <NavBar/>
    <router-view></router-view>
    <footer class="footer">
      <div class="content has-text-centered">
      <a target="_blank" rel="noopener noreferrer" href="https://discord.gg/KqH6VuP">
            <div class="control">
                <b-taglist attached>
                    <b-tag type="is-dark">chat</b-tag>
                    <b-tag type="is-primary">on discord</b-tag>
                </b-taglist>
            </div>
      </a>
       <p>
	  {{ $t('footer.copyrights') }} <a href="https://gitlab.com/messenkrypt">MessEnkrypt Team</a>.
	</p>
	<p>
	  <!--{{ $t('footer.license.source_code') }} <a href="http://opensource.org/licenses/mit-license.php">MIT</a>.
	  {{ $t('footer.license.CC') }} <a href="http://creativecommons.org/licenses/by-nc-sa/4.0/">CC BY NC SA 4.0</a>.---->
	</p>
	<p>
	  <b-icon
	     pack="fas"
	     icon="cookie"
	     type="is-dark">
	  </b-icon>
     {{ $t("footer.cookie") }}	  
    ( <a href="https://support.cloudflare.com/hc/en-us/articles/200170156-What-does-the-Cloudflare-cfduid-cookie-do-">Cloudflare UID Cookie</a> )
	</p>
      </div>
      <p>version: {{ version }}</p>
      <router-link to="/privacy-policy">
        {{ $t('privacyPolicy.subtitle') }}
      </router-link>
    </footer>
</div>
</template>

<script>
import NavBar from './components/NavBar.vue'

export default {
    name: 'app',
    components: {
	NavBar
    },
    data(){
	return{
		version: process.env.VUE_APP_VERSION
	}
    }
}
</script>

<style>
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}
</style>
